@use '../../global/utilities' as *;
@use '../../global/styles-variables' as *;

:host {
  display: block;

  .digi-docs__footer {

    &-inner {
      display: grid;
      grid-template-columns: 1fr;
      padding-top: var(--digi--padding--largest-2);
      padding-bottom: var(--digi--padding--largest-2);

      @media screen and (min-width: $digi--breakpoint--x-large) {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, auto);
        column-gap: var(--digi--gutter--largest);
      }
    }

    &-logo {

      @media screen and (min-width: $digi--breakpoint--x-large) {
        grid-row: 1 / 3;
      }
    }

    .digi-docs__footer-link {
      display: inline-block;
      margin-top: var(--digi--margin--large);
      --digi--link--color--default: white;
      --digi--link--color--hover: white;
      --digi--link--color--visited: white;
    }
  }
}
